Loading...
Searching...
No Matches
FFT3D.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/DATATYPE/regularData3D.h>`
`#include <BALL/MATHS/fftwCommon.h>`
`#include <cmath>`
`#include <complex>`
`#include <fftw3.h>`

Go to the source code of this file.

## Classes

class | BALL::TFFT3D< ComplexTraits >

## Namespaces

namespace | BALL

## Typedefs

typedef TFFT3D< BALL_FFTW_DEFAULT_TRAITS > | BALL::FFT3D

## Functions

template<typename ComplexTraits>
const TRegularData3D< typename TFFT3D< ComplexTraits >::Complex > & | BALL::operator<< (TRegularData3D< typename TFFT3D< ComplexTraits >::Complex > &to, const TFFT3D< ComplexTraits > &from)
template<typename ComplexTraits>
const RegularData3D & | BALL::operator<< (RegularData3D &to, const TFFT3D< ComplexTraits > &from)